# Tomcat
server:
  port: 8100

# Spring
spring:
  application:
    # 应用名称
    name: newfiber-gateway
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        # 服务注册地址
        server-addr: 192.168.16.99:8848
        namespace: newfiber-termite
      config:
        # 配置中心地址
        server-addr: 192.168.16.99:8848
        namespace: newfiber-termite
        # 配置文件格式
        file-extension: yml
        # 共享配置
        shared-configs:
          - application-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
    sentinel:
      # 取消控制台懒加载
      eager: true
      transport:
        # 控制台地址
        dashboard: 127.0.0.1:8718
      # nacos配置持久化
      datasource:
        ds1:
          nacos:
            server-addr: 192.168.16.99:8848
            dataId: sentinel-newfiber-gateway
            groupId: DEFAULT_GROUP
            data-type: json
            rule-type: gw-flow
            namespace: 23ab7965-5b75-43c1-befa-a17b4548faf1